Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::material_node Class Reference
[Nodes]

Inheritance diagram for openvrml::material_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for material nodes.

## Public Member Functions
virtual | ~material_node ()=0 throw ()
| Destroy.
virtual float | ambient_intensity () const =0 throw ()
| Get the ambient intensity.
virtual const color & | diffuse_color () const =0 throw ()
| Get the diffuse color.
virtual const color & | emissive_color () const =0 throw ()
| Get the emissive color.
virtual float | shininess () const =0 throw ()
| Get the shininess.
virtual const color & | specular_color () const =0 throw ()
| Get the specular color.
virtual float | transparency () const =0 throw ()
| Get the transparency.
## Protected Member Functions
| material_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.
## Private Member Functions
virtual material_node * | to_material () throw ()
| Cast to a material_node.

## Constructor & Destructor Documentation

openvrml::material_node::~material_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy. Implemented in openvrml::vrml97_node::material_node.

openvrml::material_node::material_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

  | Construct. Parameters:
  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.
Reimplemented in openvrml::vrml97_node::material_node.

## Member Function Documentation

float openvrml::material_node::ambient_intensity | ( |  | ) | const throw ()`[pure virtual]`

| Get the ambient intensity. Returns: the ambient intensity. Implemented in openvrml::vrml97_node::material_node.

const color & openvrml::material_node::diffuse_color | ( |  | ) | const throw ()`[pure virtual]`

| Get the diffuse color. Returns: the diffuse color. Implemented in openvrml::vrml97_node::material_node.

const color & openvrml::material_node::emissive_color | ( |  | ) | const throw ()`[pure virtual]`

| Get the emissive color. Returns: the emissive color. Implemented in openvrml::vrml97_node::material_node.

float openvrml::material_node::shininess | ( |  | ) | const throw ()`[pure virtual]`

| Get the shininess. Returns: the shininess. Implemented in openvrml::vrml97_node::material_node.

const color & openvrml::material_node::specular_color | ( |  | ) | const throw ()`[pure virtual]`

| Get the specular color. Returns: the specular color. Implemented in openvrml::vrml97_node::material_node.

float openvrml::material_node::transparency | ( |  | ) | const throw ()`[pure virtual]`

| Get the transparency. Returns: the transparency. Implemented in openvrml::vrml97_node::material_node.

material_node * openvrml::material_node::to_material | ( |  | ) | throw ()`[private, virtual]`

| Cast to a material_node. Returns: a pointer to this material_node. Reimplemented from openvrml::node.